aboutsummaryrefslogtreecommitdiff
path: root/dovecot-pigeonhole/dovecot-pigeonhole.SlackBuild
diff options
context:
space:
mode:
authorEugen Wissner <belka@caraus.de>2020-11-30 08:58:57 +0100
committerEugen Wissner <belka@caraus.de>2020-11-30 08:58:57 +0100
commitaa847f954507b4b5c5dddf27730d27a374a2210d (patch)
tree6b842143158f4bf55a8bde29943816381622e704 /dovecot-pigeonhole/dovecot-pigeonhole.SlackBuild
parent094b6ed392d90a2123ee8ac8ef6d53bc71eb58d0 (diff)
downloadslackbuilder-aa847f954507b4b5c5dddf27730d27a374a2210d.tar.gz
dovecot-pigeonhole: Added
Diffstat (limited to 'dovecot-pigeonhole/dovecot-pigeonhole.SlackBuild')
-rwxr-xr-xdovecot-pigeonhole/dovecot-pigeonhole.SlackBuild102
1 files changed, 102 insertions, 0 deletions
diff --git a/dovecot-pigeonhole/dovecot-pigeonhole.SlackBuild b/dovecot-pigeonhole/dovecot-pigeonhole.SlackBuild
new file mode 100755
index 0000000..f5115a4
--- /dev/null
+++ b/dovecot-pigeonhole/dovecot-pigeonhole.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware Package Build Script for pigeonhole
+
+# Copyright 2010, 2011, 2013 Nishant Limbachia, Hoffman Estates, IL, USA
+# Copyright 2013, 2014, 2015, 2016, 2017, 2018, 2019 Mario Preksavec, Zagreb, Croatia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dovecot-pigeonhole
+VERSION=${VERSION:-0.5.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=dovecot-2.3-pigeonhole
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $TMP/$SRCNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $TMP/dovecot-2.3.11-pigeonhole-$VERSION
+chown -R root.root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --with-dovecot=/usr/lib${LIBDIRSUFFIX}/dovecot \
+ --with-docs \
+ --with-managesieve \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING* INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}